About Suite8 Central

Suite8 Central is a tool used to connect multiple properties. It is designed for profile synchronization, placing individual reservations in different properties, checking availability and conference diary, if the Conference and Catering license is activated, in multiple properties, uploading reservations as well as exchanging statistics within a hotel chain or between multiple properties.

It is designed for chains or multiple properties where one active hotel or a stand alone pc acts as the master hotel. Hotel connector allows simple connectivity via XML Interface from the partner hotels to the master. Profiles can be requested by the partner hotels from the master and upload or update of existing profiles takes place via an automated or a manual synchronization process. Individual reservations can be placed, availability and conference diary, if CCM License is activated, checked in the different connected properties. Statistical information can be uploaded from the partner hotels to the master property. Reports such as Revenue, Manager and Cross Reference Statistics can then be worked on for the whole chain at the master hotel.

With Suite8 Central, all profiles are stored in the local database of each property. Exchange of profiles stored in the master property is limited to a subset of profile information configured via translation tables. Each property can access all profiles and profiles are shown in the local profile format. Chain wide statistics are limited to the master hotel. Cross selling is available by returning rate availability from the requested properties. Suite8 allows searching of available rates based on date range, number of adults and children as well as placing reservations in the different connected properties. Statistical information, future reservations and history reservation data can be uploaded from the partner hotels to the master property. Reports such as Revenue, Manager and Cross Reference Statistics can then be worked on for the whole chain at the master hotel.

If the Conference and Catering license is activated, Conference diaries from the different properties can be looked at.

Note: Profiles & Statistics upload for Suite8 Central is also available even if only the Conference and Catering license is used.

Suite8 Central comes with two licenses:

  • [L102827] Shared Profiles and Reports

  • [L102828] Cross Reservations and Availability

There are two options to install Suite8 Central and the decision should be made on the number of profiles which will be reached in the master:

  • Either one active hotel becomes the master. This is recommended only for very small Suite8 Central Installations

  • Or a dedicated master hotel where no active Property Management System is running, purely consolidation of the profiles and statistics will be performed. This is recommended for bigger Suite8 Central Installations

Shared Profiles and Reports

  • Profile

  • Stay

  • Statistic

  • Revenue

  • Manager Report

Cross Reservations and Availability

  • Availability

  • Cross reservations


Remote Profiles

This option is only available for partner hotels. It consists of 3 options:

    • Synchronization

      Select this option to run profile synchronization with the Master Hotel. If a global profile is selected all links, such as family, individual or company linked profiles will be synchronised with the global profile. Each time a reservation is made using a global profile or a profile which has been uploaded, the profile information will be synchronised.

      Remote profile synchronization dialog box

      Field

      Definition

      Last synchronization

      Last time of profile synchronization on client

      Shows the last time profiles have been synchronised on the client

      Last time of profile synchronization on server

      Shows the last time profiles have been synchronised with the master

      Ignore last synch date. Check every profile

      Select this field to ignore the last synchronization and check every profile

      Profile Status screen

      Click the Next button to open the profile status screen:

      Button

      Definition

      Edit

      Select a profile and click the Edit button to edit the profile

      Merge

      Select a profile and click the Merge button to merge the profile

      Rules

      Click the Rules button to view the merge rules for matched but not merged profiles

      Refresh

      Click the Refresh button to refresh the screen

      Check box/Status

      Out of date

      Profiles modified at remote hotel and not changed locally. Upload merge rules are applied

      Modified

      Profiles modified locally and not changed at remote hotel. Download merge rules are applied

      Merge

      Profiles modified both locally and at remote hotel. Must be merged manually with visual merge screen.

      Local only

      New profiles not yet uploaded or profiles for which no match point or upload points have been calculated since last change.

    • Synchronization Log

      Select this option to view the synchronization log. This option is only used in partner hotels.

    • Translation Test

      Select this option to perform a test of the translation tables with the master. All translation tables will be checked and a list of not assigned translation tables will display.


Synchronization

Select this option to run profile synchronization with the Master Hotel. If a global profile is selected all links, such as family, individual or company linked profiles will be synchronised with the global profile. Each time a reservation is made using a global profile or a profile which has been uploaded, the profile information will be synchronised.

Remote profile synchronization dialog box

Field | Definition
Last synchronization |
Last time of profile synchronization on client | Shows the last time profiles have been synchronized on the client
Last time of profile synchronization on server | Shows the last time profiles have been synchronized with the master
Ignore last synch date. Check every profile | Select this field to ignore the last synchronization and check every profile

Press next button to open the profile status screen

Button | Definition
Edit | Select a profile and press Edit button to edit the profile
Merge | Select a profile and press Merge button to merge the profile
Rules | Press this button to view the merge rules for matched but not merged profiles
Refresh | Press this button to refresh the screen
Check box/Status |
Out of date | Profiles modified at remote hotel, not changed locally. Upload merge rules are applied
Modified | Profiles modified locally, not changed at remote hotel. Download merge rules are applied
Merge | Profiles modified both locally and at remote hotel. Must be merged manually with visual merge screen
Local only | New profiles not yet uploaded or profiles for which no match point nor upload points have been calculated since last change


Synchronization Log

Select this option to view the synchronization log. This option is only used in partner hotels


Translation Test

Select this option to perform a test of the translation tables with the master. All translation tables will be checked and a list of not assigned translation tables will display.


Single Remote Reservation

Use this option to create a reservation in one remote property.

To create a reservation in one remote property:

  1. Click the Suite8 Central menu and select Single Remote Reservation to display the Calendar screen.

  2. Under Hotel, select the property from the drop-down list of all connected hotels for the reservation.

  3. After selection and entering the reservation and rate query the request is processed to the selected partner hotel and returns rate availability for all available rates of the selected hotel.

  4. Select a rate to open the profile search screen in the remote hotel, the selected profile from the remote hotel will be synchronised.

  5. Fill out the reservation details and click OK to finish the remote reservation.

  6. If the reservation is made successfully, confirm message with the confirmation number is displayed.


Multiple Remote Reservation

Use this option to request a reservation in one or more remote properties.

To create a reservation in one or more remote properties:

  1. Click the Suite8 Central menu and select Multiple Remote Reservation to display the Calendar screen.

  2. Under Hotel, select the properties from the drop-down list of all connected hotels for which you would like to see availability.

  3. After selection and entering the reservation and rate query the request is processed to the selected partner hotels and returns rate availability for all available rates of the selected hotels.

  4. Select a rate in a property for the reservation and click the Select button. The selected profile from the remote hotel will be synchronised.

  5. Fill out the reservation details and click OK to finish the remote reservation.

  6. If the reservation is made successfully, confirm message with the confirmation number is displayed.


Remote Availability

This option is used to check availability in all connected partner hotels.


Statistic Upload

This option is used to upload statistical information from the partner hotels to the master property. Reports such as Revenue, Manager and Cross Reference Statistics can then be worked on for the whole chain at the master hotel.

Note: Statistic Upload can only be performed if the Global Setting: Upload statistics to the master hotel has been activated at the partner hotel.


Reservation Upload

This option is used to upload future and historical reservation data

Note: This option is not available in the master hotel.


Remote Conference Diary

This option allows the conference diary to be viewed in remote properties, and is only available if the Conference and Catering license is activated and the properties have been configured for Conference Diary view under Setup → Configuration → Miscellaneous → Partner Hotels.

Selecting Remote Conference Diary opens the diary of the master hotel by default. Additional hotels can be activated under the option Selected hotels and pressing the Refresh button. The properties will be checked for function spaces, events and closed periods. The diary is opened by default on the system date with start time and default loaded days taken from Global Settings → Conference. Activating the HTML check box shows the html by clicking on the event. To close the html the check-box has to be cleared.


Prerequisites

XML Interface Server

Communication is performed using Suite8 XML Interface which has to be installed at the master and all partner hotels

  • See hard ware requirements for V8 clients

  • Microsoft Internet Information Server v 5.0 or higher

Or

  • Apache 1.3.x

  • MSXML 3.0 (preinstalled with Windows XP)

Tips & Support for the XML Interface Server on Windows 2003

Using Windows Server 2003 requires the following action:

  1. Open Administrative tools → Internet Information Services (IIS) Manger.

  2. Select Web Service Extension.

  3. Select Allow all unknown ISAPI extensions from the right mouse short cut menu

  • Microsoft Internet Information Server v 5.0 or higher

  • Microsoft .Net Framework 1.1


Configuration

In a first step the master hotel has to be configured. If the master acts as an active hotel, it is necessary first to clean the profile database by using duplication check. For all connected hotels, the profiles have to be clean and a clear structure on how to enter profile information has to exist before activating Suite8 Central. Profile qualifier sets have to be configured to run duplication check. These tasks have to be done in the master and in each property individually. In a second step profile match sets are defined for profile upload at all partner hotels and a profile match set for remote profiles at the master hotel.

Configuration includes:

  • Defining profile matches

    Profile match sets base on a point system. A total number of points can be distributed to fields by assigning points to each field. For Suite8 Central a local profile match set is required in each property for duplication check, a remote profile qualifier at the master hotel and an upload qualifier for the profiles uploaded from partner hotels to the master hotel.

  • Setting up connection information

    Data exchange is performed via Suite8 XML Interface. It is possible to configure the connection information at the master hotel and when all XML Interfaces are up and running, getting the information of all connected partner hotels from the master.

    Note: Please make sure that all properties use a secure Internet Connection (ssl).

  • Configuration of Translation Table for the profile information

    Profile synchronization is performed by means of translation tables, once the master and partner hotels have been defined for connection, profile match sets configured and xml interfaces up and running, the translation tables can be set up for each hotel at the master hotel. Translation tables are defined from the master hotel to the partner hotel and vice versa.

    Translation is performed using the following criteria:

    • Address Types

    • Countries

    • Communication Types

    • Profile Types

    • Note Categories, the note category has to be marked for synchronization

    • Individual Link Roles

    • Languages

    • Attribute Categories

    • Rate Codes

    • Preferences

    • Activity Types

    • Activity show as category

    • Membership Types

    • Attributes

    Translation tables are defined at the master hotel by selecting a partner hotel and pressing Setup Translation button from the Partner Hotel dialog box.

Defining profile matches

Profile match sets base on a point system. A total number of points can be distributed to fields by assigning points to each field. For Suite8 Central a local profile match set is required in each property for duplication check, a remote profile qualifier at the master hotel and an upload qualifier for the profiles uploaded from partner hotels to the master hotel.

Setting up connection information

Data exchange is performed via Suite8 XML Interface. It is possible to configure the connection information at the master property and when all XML Interfaces are up and running, getting the information of all connected partner hotels from the master.

Note: Please make sure that all properties use a secure Internet Connection (ssl).

Configuration of Translation Table for the profile information

Profile synchronization is performed by means of translation tables, once the master and partner hotels have been defined for connection, profile match sets configured and xml interfaces up and running, the translation tables can be set up for each hotel at the master hotel. Translation tables are defined from the master hotel to the partner hotel and vice versa.

Translation is performed using the following criteria:

  • Address Types

  • Countries

  • Communication Types

  • Profile Types

  • Note Categories, the note category has to be marked for synchronization

  • Individual Link Roles

  • Languages

  • Attribute Categories

  • Rate Codes

  • Preferences

  • Activity Types

  • Activity show as category

  • Membership Types

  • Attributes

Translation tables are defined at the master hotel by selecting a partner hotel and pressing Setup Translation button from the Partner Hotel dialog box.

Master & Partner Hotels

  1. Activate the following license codes:

[L102840] Central Head Office

[L102827] Shared Profiles and Reports

[L102828] Cross Reservations and Availability

  2. Configure Fidelio XML Interface.

  3. Double click on FidelioWebAppSetup.exe on the server machine.

  4. Select DB Setup from the Options Menu.

  5. Configure the Database connection details.

  6. Select Allowed WEB Applications from the Options Menu.

  7. Press the New button.

  8. Enter FidelioXMLInterface.DataHandler in the object name field.

  9. Close the FidelioWebAppSetup.

Define a Local and Remote profile match

A local and a remote profile qualifier have to be defined via the option Profile Match Point Setup under Setup → Configuration → Miscellaneous. The local profile qualifier is used for duplication check in each hotel before activating profile synchronization. Once Suite8 Central is up and running, the duplication check should only be used at the master property

Run duplication check, for each property

A clean profile database is mandatory with Suite8 Central

Configure partner hotels and setup Translation

XML Interfaces have to be up and running at the partner and the master hotel in order to configure translation tables for the corresponding property.

Setup translation is only available at the master hotel via the option Setup Translation under Setup → Configuration → Miscellaneous → Partner Hotel.

However the translation can be tested from each partner property, using Translation Test from the Suite8 Central drop down menu under Remote Profiles.

Configure Partner Hotels

Under Miscellaneous → Partner Hotels, the partner hotels can press Get from server button to receive all connection information from the other connected partner hotels once the master is configured and connection details to the master have been entered.

After all partner hotels have been added, each one needs to be edited and configured

Partner Hotels edit dialog box

Field | Definition
Code | The code of the partner hotel
Name | The name of the partner hotel
URL | The URL address for the connection, for example if the XML Interface runs on the master hotel it is: http://the ip address of the partner hotel: the port/V8/FidelioIISWrapper.dll/FidelioXMLInterface.DataHandler?ic=the code of the hotel
User | The user has to exist in the corresponding hotel
Password | The password for the user in the partner hotel
Active | Defines if the hotel is active or not
Profile Lookup | Defines if profiles can be looked up in this hotel
Remote reservation | Defines if remote reservations can be done in this hotel
Remote Availability | Defines if availability can be checked for this hotel
Conference diary | Defines if Conference diary can be checked for this hotel


Using Fidelio Server

With Fidelio Server the profile synchronization process and reservation upload will take place automatically.

To configure database connection, select the option to configure and press the Setup button.


Profile Match Point Setup

This option is used to define match sets for profiles and is accessible via the Miscellaneous section of the configuration menu. Profile match sets are required for duplication check, the web booking engine: Fidelio Suite8 home page, the V8 Online Interface and Suite8 Central functionality. Each module requires its own type of profile match set. Match sets serve for qualifying profiles.

For example, for Suite8 Central a local profile match and a remote profile match have to be defined on the master hotel and on the partner hotels a local profile match and an upload qualifier match.

Profile match sets are based on a point system, a total number of points is distributed to different fields on the profile.

Distributing all 1000 points only to the fields: First and Last name does not lead to successfully matches, because combination of frequent first and last names exist all over the world. Therefore the address information has to be added to the match. A normal match as used with Fidelio Suite8 Homepage requires last and first name, address and credit card information.

How to configure a profile match

  1. Double-click on Miscellaneous in the Fidelio Suite8 Configuration main menu to display the miscellaneous options.

  2. Click on Profile Match Point Setup to display the profile match type screen.

  3. Click New from the menu on the right.

The Profile Match Type selection screen is displayed with the Profile Match Types:

Type | Definition
Local profile match | Match Point Setup used for duplication check. Defines the point distribution for the local profile match when comparing potential duplicate profiles. For Suite8 Central, this match set needs to be defined in all partner hotels.
Remote profile match | Match Point Setup used for Suite8 Central only, it is only available for the property defined as master hotel. It defines the point distribution for the remote profile match
Upload Qualifier | Match Point Setup used for Suite8 Central. Defines the profile match qualifier for the upload of profiles to the master hotel. Other than Local and remote profile match where conditions to fields can be set, this match set defines which fields have to be filled
Miscellaneous Interfaces | Profile match set used by XML interface for Fidelio Suite8 home page & the V8 Online Interface. This profile match defines a full (100%)and short (partial match) for the fields

  4. Select the required profile match type and click OK.

Depending on the profile match type selected, the appropriate Profile Match Point Setup dialog box is displayed.

  • For the profile match set types Local and Remote, points are distributed and additional priorities with conditions to these fields can be set.

  • The profile type Upload Qualifier requires point distribution for the fields which should be filled. On the tab: Field Value Points, additional upload qualifier can be defined. For example to also include profiles if a certain field is filled with a certain condition

  • The profile type Miscellaneous Interfaces requires definition of a full and short match points by field.

Profile Match Point Setup dialog box for the types Local and Remote

Field | Definition
Code | The code for the profile match set
Description | The description of the profile match set
Match limit | The minimum number of qualifier points a profile should have. All profiles not matching this limit will not qualify. For example not shown as a duplicate profile.
Case sensitive | Defines if the search should be case sensitive. Most properties do not use consistent spelling when entering guest profiles therefore it is recommended to clear this field.
Similarity % | The similarity percentage for the field. If this is empty, the default from Global Settings → Suite8 Central tab will be used.
Filters connected with operator 'or' | This is a multiple filter option and is defined per rule. The Default is 86 behaviours that connect with 'and' making every filter field mandatory if it is not empty. With the option: Filters connected with operator 'or' only one of the filtered fields has to be equal (or similar depending on the Similarity filter setting).
Separate rules for companies | Defines that the points can be distributed for individual and for company profiles separately. Note: Using multiple filters slows down the calculation process.
Similarity filters | Activating Similarity filters allows more precise definition of fields selected as 'Filter'. When activating the Similarity filters, the next two options for filtered fields are available:
Maximum allowed difference in percentage | Setting the percentage to '0' means no difference is allowed for filtered fields and setting the value to '100' means no match required for filtered fields.
First n letters must match | This option allows defining a number of characters that have to match in the beginning of filtered fields. For example setting the value to 3 means the first 3 characters have to match. The more letters are entered, the faster the search can process.
Individual Profiles Company Profiles | Only displayed if the option Separate rules for companies is selected. The points are allocated per profile type.
Points |
Value edit | Enter the number of points for the selected fields.
Set value | Press this button to apply the number of points from value edit to the selected fields.
Check | Defines if a field should be checked. Applies only to Mandatory and Filter selections.
Uncheck | Defines if a field should be cleared. Applies only to Mandatory and Filter selections.
Equal | Exact match.
Substring | The match is performed by searching a substring.
Sub anywhere | The match is done by searching a string, which can be anywhere in the field.
Similar | The match is done by searching a string similarity. The string similarity is set in the field Similarity %, if nothing is defined; the default string similarity percentage set in the Global Settings → Suite8 Central tab is used.
Mandatory | If this is selected, a match only succeeds if the points are equal to the points set in the field.
Filter | If this is selected it is also an equal match but it is used as a where condition. At least one field has to be selected as Filter otherwise the duplicate check does not work; it is possible to set several fields as filter.
Field value points | This option can be used as an extra upload qualifier. For example to also include profiles if a certain field is filled with a certain condition. Or companies and individuals are included in the same match point setup but not using the same fields For example name 3 is used on company profiles therefore this field can be added to the match set to include more profiles. It can also be used to define points for different membership types or for assigning points if an individual or company link exists.
Field name | The name of the field that should be included in the match.
Value | The condition for the field.
Similarity % | The similarity percentage for the field. If this is empty, the default from global settings will be used.
Points | The number of points assigned to the field.

Priority Conditions for Local and Remote setup

The priorities for the conditions are as follows:

  • If equal is filled, then equal points are calculated.

  • If all fields are included in the point distribution, then first equal, then sub string points, then sub anywhere points are calculated.

  • If only similar is filled then only the points for similarity match are calculated.

If all fields are included in the point distribution, the content of each field is compared and decided which point calculation to perform, for example for an address entered as follows on the source profile:

Source | Target | Check to Perform
Smith | Smith | Equal
Jon | Jona | Substring
Berlin | Berlin | Similarity
030 1232 | 0301232 | Sub anywhere

Note: There could be two reasons for 0 points, meaning no profile found: No match for the condition or Not configured.

Profile Match Point Setup dialog box for the type Upload Qualifier

Field | Definition
Code | The code for the profile match set
Description | The description of the profile match set.
Separate rules for companies | Defines that the points can be distributed for individual and for company profiles separately. Note: Using multiple filters slows down the calculation process.
Individual Profiles Company Profiles | Only displayed if the option Separate rules for companies is selected. The points are allocated per profile type.
Match limit | The minimum number of qualifier points a profile should have. All profiles not matching this limit will not qualify. For example not shown as a duplicate.
Case sensitive | Defines if the search should be case sensitive. Most properties do not use consistent spelling when entering guest profiles therefore it is recommended to clear this field.
Value edit | Enter the number of points for the selected fields.
Set value | Press this button to apply the number of points from value edit to the selected fields.
Check | Defines if a field should be checked. Applies only to Mandatory and Filter selections.
Uncheck | Defines if a field should be cleared. Applies only to Mandatory and Filter selections.
Points |
Entered | The field has to be filled
Field value points | This option can be used as an extra upload qualifier. For example to also include profiles if a certain field is filled with a certain condition. Or companies and individuals are included in the same match point setup but not using the same fields For example name 3 is used on company profiles therefore this field can be added to the match set to include more profiles.
Field name | The name of the field that should be uploaded. Available fields can be selected from the drop down list
Value | The value for the field.
Similarity % | The similarity percentage for the field.
Points | The points assigned to the field.

Fields available on local, remote and upload qualifier

The following fields are available for the point's distribution:

  • Name 1

  • Name 2

  • Name 3

  • Key Name

  • Search Name

  • Customer Number

  • Active

  • Language Code

  • Title

  • Birth date

  • Birth Place

  • Position

  • Department

  • Mailing Name

  • Address Greeting

  • Letter Greeting

  • Gender

  • Tax free

  • Address City

  • Address Zip

  • Address Street 1

  • Address Street 2

  • Address Street 3

  • Country ISO 2

  • Country ISO 3

  • Country Code

  • Communication Value

  • Passport Value

  • Has comp./ind. link

Profile Match Point Setup dialog box for the type Miscellaneous Interfaces

Field | Definition
Profile Match | For V8 Online Interface, this is the CRS Code, for Fidelio Suite8 home page, the code for the profile match.
Description | Description of the profile match code.
Number of Points | Defines the total number of points required to identify a profile. Default is set to 1000 (limit).
Full Match | Defines the number of points for a 100% match of criteria.
Short Match | Defines the number of points for a partial match, for example if the address line 1 is 'Andersson St.' and the match found is 'Anderson St.'
Profile Details |
First Name | The full match and short match points assigned to the first name.
Last Name | The full match and short match points assigned to the last name.
Middle Name | The full match and short match points assigned to the middle name.
Key Name | The full match and short match points assigned to the key name.
Search Name | The full match and short match points assigned to the search name.
Address |
City | The full match and short match points assigned to the city.
Zip | The full match and short match points assigned to the first name.
Address line 1 | The full match and short match points assigned to the address line 1.
Address line 2 | The full match and short match points assigned to the address line 2.
Address line 3 | The full match and short match points assigned to the address line 3.
Country Code | The full match and short match points assigned to the country code.
State Code | The full match and short match points assigned to the state code.
Personal Documents |
Number | The full match points assigned to the id number.
Credit Card |
Number | The full match points assigned to the credit card number.
Membership |
Number | The full match points assigned to the membership card number.

How to create an expression by combining fields

  1. On the Configuration menu click Miscellaneous, and then click Profile Match Point Setup.

  2. Select the required profile match setup.

  3. Click New to display the list of available fields.

  4. Select the fields to combine, for example, xmnr_value and xmty_shortdesc.

(Membership number value and Membership type code)

  5. Click OK, the New expression dialog box is displayed.

  6. Enter the required condition and click OK; in this example the condition is: =MVZ

  7. Allocate the points and click Set Value.

With this expression points will be assigned if the member number and the member type are identical and if the member type is 'MVZ'.

The success of a profile match depends on the quality of data and the configuration of the profile match. To identify a profile, all criteria entered on the profile match configuration and on the extra search criteria tab are used. For V8 Online Interface this data is provided by the Central Reservation System, for Fidelio Suite8 home page the data is entered by the user.

Additional Information - V8 Online Interface

Note: For the V8 Online Interface, profile matches are defined per mapper.

For V8 Online Interface, the Central Reservation System Manual should be consulted to learn about the information it can provide before point distribution. For example in a Resort Hotel, most of the guests are families and their profiles differ mainly only on the first name. Therefore all five criteria: First Name, Last Name, City, Zip and Address line 1 will sum up to the 1000 points. A higher score of points can be assigned to the Personal Document number, Credit Card or membership number, as these are unique for the guest. The button Extra Search Criteria offers more detail criteria, such as customer number, title or address greeting. However, before distributing points on this tab, please check if the Central Reservation System can provide this information.


Profile Merge Setup

When comparing potential duplicate profiles the original (Source) is displayed on the left and the one to merge (Target) on the right.

The profile merge setup defines the actual merge and is divided as follows:

  • Interface profile merge rule sets
    This profile merge rule set defines the merge rules used by xml interface and v8 online interface

  • Local profile merge setup
    This profile merge rule set is used for duplicate profile match and merges

  • Remote profile check and resynch setup
    This rule is used when running profile check and can even run when automatic profile synchronisation is activated on the Fidelio server. It simplifies updating profiles which were already synchronised and apply new or changed codes for example after an update.

  • Remote profile merge setup
    This rule is used for profile synchronization with the master hotel.


Interface profile merge rules sets

The interface profile merge rule set defines the merge rules used by XML Interface or Suite8 Online Interface and is accessible via the Miscellaneous section of the configuration menu.

Click Setup to list all available fields from the profile for the merge, these settings are used when profiles are matched, but not yet merged.

Profile Merge - Duplicate Merge Options

Field | Definition
Ignore | The merge ignores the contents in the fields.
Copy | Copies the information from the source profile to the target profile.
Overwrite | Overwrites the target value even if the target value is not empty and also if the source value is empty. Note: Fields containing data in the target profile but not in the source will be cleared.


Local Profile Merge Setup

This option is used to configure the rules for duplicate profile match and merge and is accessible via the Miscellaneous section of the configuration menu.

All available fields from the profile for the merge are listed and these settings are used when profiles are matched.

Duplicate Merge Options

Field | Definition
Ignore | The merge ignores the contents in the fields.
Copy | Copies the information from the source profile to the target profile.
Overwrite | Overwrites the target value even if the target value is not empty and also if the source value is empty. Note: Fields containing data in the target profile but not in the source will be cleared.


Remote profile check and resync setup

This option is used to configure the rules for profile synchronization with the master hotel and is accessible via the Miscellaneous section of the configuration menu.

This rule is used when running profile check and can even run when automatic profile synchronisation is activated on the Fidelio server. It is also used upon Resynchronization.

Remote Profile Check Options

Field | Definition
Partner entered only:
Ignore | The merge ignores the contents in the fields.
Copy | Copies the information from the partner profile to the master profile.
Master entered only:
Ignore | The merge ignores the contents in the fields.
Copy | Copies the information from the master profile to the partner profile.
Both Entered:
Ignore | The merge ignores the contents in the fields.
Apply Partner Value | Applies the value in the partner profile to the profile in the master.
Apply Master Value | Applies the value in the master profile to the profile in the partner.


Remote Profile Merge Setup

This option is used to configure the rules for profile synchronization with the master hotel and is accessible via the Miscellaneous section of the configuration menu.

These settings are used when profiles are matched, but not yet merged.

Remote Profile Merge Options

Field | Definition
Partner entered only:
Ignore | The merge ignores the contents in the fields.
Copy | Copies the information from the partner profile to the master profile.
Overwrite | Overwrites the target value even if the target value is not empty and also if the source value is empty. Note: Fields containing data in the target profile but not in the source will be cleared.
Master entered only:
Ignore | The merge ignores the contents in the fields.
Copy | Copies the information from the master profile to the partner profile.
Both Entered:
Ignore | The merge ignores the contents in the fields.
Apply Partner Value | Applies the value in the partner profile to the profile in the master.
Apply Master Value | Applies the value in the master profile to the profile in the partner.
Synchronization:
Ignore | The synchronization ignores the contents in the fields.
Upload | During synchronization the information is uploaded to the master.
Download | During synchronization the information is downloaded from the master.
Upload and Download | During synchronization the information is both uploaded and downloaded.


Partner Hotels

This option is used to configure the partner and master hotel connections for Suite8 Central and is accessible via the Miscellaneous section of the configuration menu.

The connection information for the partner hotels can be retrieved with the Get from server button. After import, each hotel as well as the master has to be configured for the connection. A valid user name and password has to be entered.

Data exchange is performed via the Fidelio Suite8 XML Interface. It is possible to configure the connection information at the master property and when all XML Interfaces are up and running, get the information of all connected partner properties from the master.

Partner Hotels dialog box

Field

Definition

Code

The code for the partner hotel.

Name

The name of the partner hotel.

URL

Defines the URL address for the connection, for example if the XML Interface runs on the master hotel it is:

http://the IP address of the partner hotel: the port/V8/FidelioIISWrapper.dll/ FidelioXMLInterface.DataHandler?ic=the code of the hotel.

Alternate URL

The alternate URL address.

User

The user for the partner hotel. The user has to exist in the partner hotel.

Password

The password for the user in the partner hotel.

Active

Defines if the hotel is active or not.

Profile Lookup

Defines if profiles can be looked up in this hotel.

Remote Reservation

Defines if remote reservations can be made in this hotel.

Remote Availability

Defines if availability can be checked for this hotel.

Conference Diary

Defines if the hotel is to be displayed in the conference diary.

Note: At least one hotel has to be defined to display the conference diary in order to activate the option Remote Conference Diary under the Suite8 Central menu.

Setup Translation

The option Setup Translation on the Partner Hotels screen is available only at the master hotel and is accessible via the Miscellaneous section of the configuration menu. XML Interfaces have to be up and running at the partner and the master hotel in order to configure translation tables for the corresponding property.

Profile synchronization is performed by means of translation tables, once the master and partner hotels have been defined for connection and profile match sets configured the translation tables can be set up for each hotel at the master hotel. Translation tables are defined from the master hotel to the partner hotel and vice versa.

Translation is available for the following options on profiles:

  • Address Types

  • Countries

  • Communication Types

  • Profile Types

  • Note Categories, the note category has to be marked for synchronization

  • Individual Link Roles

  • Languages

  • Attribute Categories

  • Rate Codes

  • Attributes

If the short descriptions match, it is faster to use the Automatic button instead of matching the entries one by one manually. Using Auto Setup on the right side will match all translation tables.

Note: When setting up translation tables for countries, the field ISO3 is used for country from the table XCOU.


Global Settings Suite8 Central 1 Tab Master Hotel

Suite8 Central 1 Tab Master Hotel

The options on the Suite8 Central 1 tab are used to configure the basic information and parameters for Suite8 Central, the options available are dependant upon whether this is the master hotel or a partner hotel.

Suite8 Central 1 Tab - Partner Hotel

Field

Definition

Legal Values

Html directory for web services

Defines where on the xml interface the html files are located (path on xml interface). Each hotel needs to enter the path to which the html files will be copied to be available for view on the master and other partner hotels.

Enter the path

Code of the hotel in primary DB

Defines the code of the partner hotel in the master database table. This needs to be configured on each hotel with its own hotel code.

Enter the hotel code

This hotel is primary

Indicates the master hotel. This is only defined on the master hotel

Check: YES

Blank: NO

Configure partner hotels

Press this button to view the partner hotels configuration under Configuration → Miscellaneous → Partner Hotels.

Profile merge rules

Press this button to view the profile merge rules defined under Configuration → Miscellaneous → Profile Merge Setup.

Own xml interface url

The URL address of the own property is required in order to be able to clear all cached global settings in IIS (Internet Information Services Manager).

The cache can be cleared from the CRS Administration Console by selecting Reset webserver cache.

URL

The URL address of the XML Interface of the property.

Alternate URL

Alternative address for the XML Interface of the property.

User

The user name.

Password

The password.

Swap URL's

May be used to swap the URL and the Alternate URL addresses.

Profile synchronization

Upload

Max. match limit

Used for automatic Upload. Defines the max number of points for the match limit. For example if a profile is created by ignoring all messages this will check for each upload the profile again for possible duplicates.

 Enter a value

Min. upload limit

Defines the minimum number of points for the match upload.

 Enter a value

Linked profile upload maximum distance

Defines the maximum link level for uploading linked profiles of already synchronised profiles (with global id).

If the level is set to 0, linked profiles of the profile are not uploaded or downloaded.

If the level is set to 1, linked profiles of the synchronised profile are uploaded/ downloaded (1level link)

If the level is set to 2, linked profiles of the linked profile from the synchronised profile are uploaded/downloaded (2nd level link)

If the level is set to 3, linked profiles of the linked profiles and their linked profiles are uploaded/downloaded (3rd level link) and so forth

 Enter a value

Linked profile download maximum distance

Defines the link level for downloading linked profiles of already synchronised profiles. See above for the values which can be set.

 Enter a value

Third party profile search

 Defines if third party profile search is used.

Check: YES

Blank: NO

Interface code

 Defines the interface code for the third party search.

Enter the code

Timeout

Extended

Select this option to define a separate Time Out in seconds for each of the following actions performed via XML Interface: Resolve- Connect- Send- Receive.

Timeout (sec)

The global time out used if the xml is not responding.

Select from list box

Synchronization employee

Defines the user for automatic synchronization.

Disable automatic profile merge

Defines if a profile will not automatically be merged locally if it was merged manually remotely.

Check: YES

Blank: NO

Send reservation confirmation email

Defines if an email confirmation letter is send to the guest when a remote reservation is made.

Show confirmation screen if email has been sent

Defines if a confirmation screen is displayed once the email has been sent.

Task and activity synchronization

Defines if Task and Activities are synchronised.

Upload statistics currency

Upload statistics currency.

Contract synchronization

Defines if contracts are synchronized.

Check: YES

Blank: NO

Central bonus point management

Defines if bonus points are managed centrally.

Check: YES

Blank: NO

Upload earned points during night audit

 Defines if bonus points are uploaded during night audit.

Check: YES

Blank: NO

Download products from central

 Defines if products are downloaded from central.

Check: YES

Blank: NO

Upload locally changed profiles automatically

Locally changed profiles will be uploaded during night audit. Only available at partner hotels. If Fidelio Server is running, this setting does not need to be activated.

Check: YES

Blank: NO

Perform automatic profile synchronization during night audit

Locally changed profiles will be synchronized automatically during night audit. If Fidelio Server is running, this setting does not need to be activated.

Check: YES

Blank: NO

Upload statistics to the master hotel

Needs to be activated for statistic upload to the maser. Statistics are uploaded to the master during Night audit. Records processed are marked with Shis_imported = 1 in the history table SHIS.

Statistic initialization needs to be run from the developer maintenance screen.

Currently SMAN, SHIS and SRPD are transferred completely

Check: YES

Blank: NO

Remote Match Check before inserting to database

Remote profiles will be checked for possible duplicates in the local database before inserting

Check: YES

Blank: NO

Allow profile lookup in non primary hotels

Defines if profile lookup can be done in other connected hotels not only at the master. Only possible for hotels where Profile look up is activated under Partner Hotels.

Check: YES

Blank: NO

Close upload log screen when finished

The screen popping up upon upload will be closed automatically. Needs to be set if Perform automatic profile synchronization during night audit is activated

Check: YES

Blank: NO

Search remote on profiles grid

For each profile query, remote search is activated. Slows down the system, but can be deactivated on the customer profiles navigator by selecting the field Disable remote search. Only available at partner hotels.

Check: YES

Blank: NO

Coloured remote profiles

Defines the colour in which remote profiles will display

Select the colour for the remote profile

Display Remote HTML automatically

The remote html file will be displayed automatically.

Check: YES

Blank: NO

Central profile initialization

Defines if profiles match between master and remote hotels will be used. Enables the profile match console on customer profiles

Check: YES

Blank: NO

Display profile match numbers below matching limit

Display profiles found with less points than defined on the Limit field of the Profile Upload Qualifier. Only available at partner hotels. Should be activated

Check: YES

Blank: NO

Refresh profile search behind match console

Defines if the profile search on the profile navigator will be refreshed (updated) if the match console is opened

Check: YES

Blank: NO

String similarity percentage

Defines the difference allowed to be still considered as similar string. It is used for profile merge to identify if two strings are similar or not. Higher value means more differences are allowed. 0 means strings must exactly match. We recommend a value of 20 - 25.

To determine the percentage of similarity, the total characters of the longest string are taken and divided by the sum of the number of keystrokes needed to make the strings equal times 100.

For example the field Address street 1 can be filled with ‘Green st.’ ‘Green street’ or 'Green st’. In this case the longest string without spaces and points is 11 characters the number of keystrokes needed to match the longest string is 4. The percentage in this case would be 36.3636 ((4 *100) / 11).

String similarity percentage guarantees a better profile match as the 3 different ways of spelling 'street' are excluded.

Note: The following characters will be ignored: `¬Š!"£$%^&*()_-+=[]{};:'@#~,.<>/?\| and space

Check: YES

Blank: NO

Upload match rule

The profile merge rule setup for the upload

Select from list box

Server profile match rule

The profile merge rule setup for remote profiles. Only available at the master hotel.

Select from list box

Delay in batch processes (ms)

Defines the delay for batch process in milliseconds. When initializing the first time, the server is busy with the processes therefore we recommend to set a delay for the batch processes.

Enter a value

Recommended delay is 3000

Number of Profiles in one batch between delays

Defines the number of profiles included in one batch.

Enter a value

Maximum number of profile sync retry after error

Enter a value

Recalculate profile points after edit

If activated then the points will be recalculated after editing the profile

Check: YES

Blank: NO

Perform automatic profile merges for profile synchronization

Defines if profiles will be merged automatically upon profile synchronization.

Check: YES

Blank: NO

Remote reservation search on reservation navigator

Defines if remote reservation search is enabled on the reservation navigator

Check: YES

Blank: NO

Central correspondence lookup

Defines if central correspondence lookup is enabled in CRS installations.

Check: YES

Blank: NO

Merge profiles with different internal category

Defines if profiles can be merged when using a different internal category, such as Individual or Company

Check: YES

Blank: NO


Global Settings Suite8 Central 1 Tab Partner Hotel

Suite8 Central 1 Tab Partner Hotel

The options on the Suite8 Central 1 tab are used to configure the basic information and parameters for Suite8 Central, the options available are dependant upon whether this is the master hotel or a partner hotel.

Suite8 Central 1 Tab - Partner Hotel

Field

Definition

Legal Values

Html directory for web services

Defines where on the xml interface the html files are located (path on xml interface). Each hotel needs to enter the path to which the html files will be copied to be available for view on the master and other partner hotels.

Enter the path

Code of the hotel in primary db

Defines the code of the partner hotel in the master database table. This needs to be configured on each hotel with its own hotel code

Enter the hotel code

This hotel is primary

Indicates the master hotel. This is only defined on the master hotel

Check: YES

Blank: NO

Configure partner hotels

Press this button to view the partner hotels configuration under Configuration → Miscellaneous → Partner Hotels.

Profile merge rules

Press this button to view the profile merge rules defined under Configuration → Miscellaneous → Profile Merge Setup.

Upload locally changed profiles automatically

Locally changed profiles will be uploaded during night audit. Only available at partner hotels. If Fidelio Server is running, this setting does not need to be activated.

Check: YES

Blank: NO

Perform automatic profile synchronization during night audit

Locally changed profiles will be synchronized automatically during night audit. If Fidelio Server is running, this setting does not need to be activated.

Check: YES

Blank: NO

Upload statistics to the master hotel

Needs to be activated for statistic upload to the maser. Statistics are uploaded to the master during Night audit. Records processed are marked with Shis_imported = 1 in the history table SHIS.

Statistic initialization needs to be run from the developer maintenance screen.

Currently SMAN, SHIS and SRPD are transferred completely

Check: YES

Blank: NO

Remote Match Check before inserting to database

Remote profiles will be checked for possible duplicates in the local database before inserting

Check: YES

Blank: NO

Allow profile lookup in non primary hotels

Defines if Profile lookup can be done in other connected hotels not only at the master. Only possible for hotels where Profile look up is activated under Partner Hotels.

Check: YES

Blank: NO

Close upload log screen when finished

The screen popping up upon upload will be closed automatically. Needs to be set if Perform automatic profile synchronization during night audit is activated

Check: YES

Blank: NO

Search remote on profiles grid

For each profile query, remote search is activated. Slows down the system, but can be deactivated on the customer profiles navigator by selecting the field Disable remote search. Only available at partner hotels.

Check: YES

Blank: NO

Colored remote profiles

Defines the colour in which remote profiles will display

Select the colour for the remote profile

Display Remote HTML automatically

The remote html file will be displayed automatically

Check: YES

Blank: NO

Central profile initialization

Defines if profiles match between master and remote hotels will be used. Enables the profile match console on customer profiles

Check: YES

Blank: NO

Display profile match numbers below matching limit

Display profiles found with less points than defined on the Limit field of the Profile Upload Qualifier. Only available at partner hotels. Should be activated

Check: YES

Blank: NO

Refresh profile search behind match console

Defines if the profile search on the profile navigator will be refreshed (updated) if the match console is opened

Check: YES

Blank: NO

String similarity percentage

Defines the difference allowed to be still considered as similar string. It is used for profile merge to identify if two strings are similar or not. Higher value means more differences are allowed. 0 means strings must exactly match. We recommend a value of 20 - 25.

To determine the percentage of similarity, the total characters of the longest string are taken and divided by the sum of the number of keystrokes needed to make the strings equal times 100.

For example the field Address street 1 can be filled with ‘Green st.’ ‘Green street’ or 'Green st’. In this case the longest string without spaces and points is 11 characters the number of keystrokes needed to match the longest string is 4. The percentage in this case would be 36.3636 ((4 *100) / 11).

String similarity percentage guarantees a better profile match as the 3 different ways of spelling 'street' are excluded.

Note: The following characters will be ignored: `¬Š!"£$%^&*()_-+=[]{};:'@#~,.<>/?\| and space

Check: YES

Blank: NO

Upload match rule

The profile merge rule setup for the upload

Select from list box

Server profile match rule

The Profile merge rule setup for remote profiles. Only available at the master hotel.

Select from list box

Delay in batch processes (ms)

Defines the delay for batch process in milliseconds. When initializing the first time, the server is busy with the processes therefore we recommend to set a delay for the batch processes.

Enter a value

Recommended delay is 3000

Number of profiles in one batch between delays

Defines the number of profiles included in one batch.

Recalculate profile points after edit

If activated then the points will be recalculated after editing the profile

Check: YES

Blank: NO

Perform automatic profile merges for profile synchronization

Defines if profiles will be merged automatically upon profile synchronization.

Check: YES

Blank: NO

Remote reservation search on reservation navigator

Defines if remote reservation search is enabled on the reservation navigator

Check: YES

Blank: NO

Profile synchronization

Upload

Max. match limit

Used for automatic Upload. Defines the max number of points for the match limit. For example if a profile is created by ignoring all messages this will check for each upload the profile again for possible duplicates.

Min. upload limit

Defines the minimum number of points for the match upload.

Linked profile upload maximum distance

Defines the maximum link level for uploading linked profiles of already synchronised profiles (with global id).

If the level is set to 0, linked profiles of the profile are not uploaded or downloaded.

If the level is set to 1, linked profiles of the synchronised profile are uploaded/ downloaded (1level link)

If the level is set to 2, linked profiles of the linked profile from the synchronised profile are uploaded/downloaded (2nd level link)

If the level is set to 3, linked profiles of the linked profiles and their linked profiles are uploaded/downloaded (3rd level link) and so forth

Linked profile download maximum distance

Defines the link level for downloading linked profiles of already synchronised profiles. See above for the values which can be set.

Upload linked profiles even if not qualified for upload

Defines if profiles will be uploaded even if they do not qualify according to the profile match.

Check: YES

Blank: NO

Synchronization employee

Defines the user for automatic synchronization

Select from list box

Disable automatic profile merge locally if it was merged remotely

Defines if a profile will not automatically be merged locally if it was merged manually remotely.

Check: YES

Blank: NO

Timeout (sec)

The global time out used if the xml is not responding.

Send reservation confirmation email

Defines if an email confirmation letter is send to the guest when a remote reservation is made.

Show confirmation screen if email has been sent

Defines if a confirmation screen is displayed once the email has been sent.

Task and activity synchronization

Defines if Task and Activities are synchronised.

Ignore duplicate elements when merging

Duplicate elements are ignored when merging, for example,the duplicate element will be ignored upon merging when a profile is downloaded from the master and in the partner the same communication type is entered with the same details.

Upload statistics currency


Customer Profiles

Before actually uploading profiles to the master, each partner hotel has to make sure that no duplicates will be sent to the master, therefore a local duplicate check and merge has to run before synchronizing partner hotels with the master. Once duplication check has run, it should only be activated at the Master Hotel.

The following menu options can be accessed from the Customer Profiles Navigator:

  • Match

  • Duplicates

Note: These options will only be available for users with the user rights duplicate elimination and central profile initialization assigned. The Duplicates option is only available if Enable Profile duplicate search is activated under Global Settings → Profile 1 tab. The table's xpdt for possible duplicated and xpmi for profile match and merge initialization will be cleared after editing a profile as changes might occur while editing the profile.

Filter selections on the advanced query screen on the customer profiles navigator

Field | Condition | Value | Definition
Central Match Point | Empty Not empty Equal Greater than Smaller than Not unique candidate Error during synchronization | Enter a number of points for equal, greater than or smaller than |
Global Id | Empty Not empty Equal |  | Each time a profile is downloaded or synchronized, it receives a global it, this refers to the field global id in the table xcms
Upload point | Empty Not empty Equal Greater than Smaller than |  | Refers to field uploadpoint in the table xpmi
Duplicate | Not processed |  | Duplicates not processed
 | Processed |  | Duplicates processed
 | Duplicate exists |  | Profiles where potential Duplicates exists
 | No duplicate |  | Profiles where no Duplicates exist
 | Explicit no duplicate links |  | Profiles where potential duplicate exist but have been marked as not a duplicate (Profiles having xndl records.) The pot. Duplicate grid will show the linked profiles. It is possible to delete the xndl link by pressing Not a duplicate button. Profiles marked as not a duplicate, will be excluded from the duplicate search
 | Duplicate points is equal to | Enter a number of points for equal |
 | Duplicate points is higher than | Enter a number of points for higher than |
HCN – Differences between master and partner data |  |  | Displays profiles with differences between the master and partner hotel

Fields that can be added to the customer profiles grid

Field | Definition
xcms_globalid | The global id provided upon synchronization
xcms_automergeerror | Error flag indicating the date of an error during auto merge
xcms_automergeerrorid | The type of error: 0 = error, 1= merged to another profile remotely, 2 = profile was not uploaded because it had a match point sum higher than configured max match points.
xcms_automergeerrortext | The error information
xcms_centralsynctimestamp | The time stamp when the profile was synchronized
No duplicates | Profiles marked as not being a duplicate
Remote link | The remote link
Matchpoint | The match points
xpmi_candiate_xcms_id | XPMI is the Profile match and merge initialization table. The xcms id of the duplicate profile
xpmi_timestamp | The time stamp
xpmi_uploadpoint | The initial profile upload points
Duplicaterecords | The number of duplicate records
Duplicatecount |
Duplicatebestpoint |
Duplicateexists | Indication if duplicate exists
Noduplicatecount | Excluded from duplicate count
Wphsid | The id of the partner hotel
Remotedisplay | Indicates if the profile is displayed remotely

Note: The field XCMS_ORG_WPHS_ID can be added using screen painting functionality. This field contains the original ID of the partner hotel. It is filled when the profile is downloaded from the partner hotel, for manual changes it can be added using form customization.


Customer Profiles Partner Properties

From the Options menu on the customer profiles navigator, the following options are available from the partner properties:

  • Remote HTML Compare - Use this option to compare the HTML file of the selected local profile with the remote profile html.

  • Remote HTML Information - Select this option to view only the remote profile’s html.

  • Partner HTML’s - Select this option to choose the HTML file for the selected profiles from the list of partner hotels.

  • Remote match - This option can be used to match the remote profile, if the profile is already linked a corresponding message is displayed.

  • Remote merge - This option can be used to match & merge the remote profile the merge screen is displayed.

  • Remote merge log - Selecting Remote merge log displays the merge log file.

  • Clear link to remote profile - This option can be used to clear the link with the remote profile.

  • Remote difference - This option can be used to view the differences with the remote profile.


Match

This option is used to match and merge profiles with the master and remote hotels.

It is possible to select one of the mentioned advanced search criteria, except duplicate and then press the Match button.

When pressing the match button, the profile filter selection dialog box for the remote match appears:

  • Remote Match Console

  • HTML compare to candidate

  • Match and merge with candidate

Remote Match Console

Remote Match Console dialog box

Field | Definition
Statistics
Matched | The number and percentage of matched profiles
Candidate found | The number and percentage of potential duplicate profiles
Not matching | The number and percentage of profiles not matched
Not processed | The number and percentage of profiles not processed
Upload | The number and percentage of uploaded profiles
No upload | The number and percentage of not uploaded profiles
More matches | Select this option to filter Central match point not unique candidates
Point calculation actions
Calculate point where empty | Pressing this button will search for profiles with no points
Recalculate zero points | Pressing this button will search for profiles where point calculation resulted in zero
Recalculate every point | Pressing this button search for all profiles
Clear zero points | Will clear all point calculation for profiles where the point calculation resulted in zero
Clear every point | Will clear all point calculation
Maximum duplicate point | Selecting this field allows entering the maximum duplicate points in the next field
Field for entering the maximum duplicate points | Enter a number of max points
Profile actions
Match and merge | Pressing this button will match and merge the filtered profiles
Match and merge over limit | Pressing this button allows entering a minimum match number and processing match and merge for the filtered profiles
Upload
Max. match limit | Defines the max match limit points
Min. upload limit | Defines the min match limit points
Merge rule | Pressing this button allows viewing the profile merge rules
Refresh | Press this button to refresh the remote match console with the profile filter
Profile filter | Defines the filter for profiles: Selected Filtered Every Profile
Close | Select Close to exit the remote match console dialog box

If errors occur during progress, the progress bar displays the number of errors and at the end of the progress the error log is displayed. Under Customer Profiles → Profile search, clicking on the red rectangle allows viewing all errors.

Note: When performing manual profile match, search is performed only for profiles with the same Profile type, if a different internal profile type is used in the master and the partner, profiles can not be linked. Under Configuration → Miscellaneous → Partner Hotels → Setup Translation, using the Automatic button for Profile types, will not link items with a different internal category and automatic translation match by short description will neither translate items if the profile type is different.


Merge

The profile merge screen opens the profiles in a target and source side. The profiles are compared at the following levels each represented by a tab:

  • Details

  • Address

  • Communications - the merge routine takes into consideration both the communication by ID and the communication type.

  • Notes

  • Linked profiles

  • Attributes

  • Ratecodes

  • Preferences

  • Activities

  • Membership

  • Documents

Merge Profile dialog box

Button | Definition
HTML compare | Press this button to compare the Profiles in HTML view
Data rule merge | Defines the merge rule used. Currently only Full merge should be used
Merge rules | Displays the fields for the merge of the profile
Differences | Select this field to display differences of the profiles in red
Select other side | Select this field to select the same field on the other side
Reverse | Press this button to switch target and source profiles
Merge | Select this button to activate merge
Save | Press this button to save and close the screen settings
Cancel | Press this button to cancel merge
Copy to right | Select a row on the left and press this button to copy the selected information to the right
Copy to left | Select a row on the right and press this button to copy the single row to the left
Copy all to right | Press this button to copy all information to the right side
Copy all to left | Press this button to copy all information to the left side

Note: Items marked as Don't transfer in the translation setup of the selected property in the master are indicated with an X highlighted grey on the remote profile merge dialog box. It is not possible to merge these items, however the difference is indicated.


duplicates

CRM Duplicates

Duplicate functionality is used to find, match and merge duplicate profiles.

Use advanced query to enter selection criteria and click the Duplicate button to access the duplicate console or select duplicate console without filtering profiles. The selection criteria dialog box for the duplicate console appears:

  • Duplicate Console - displays the duplicate console.

    Field

    Definition

    Statistics

    This section lists the profiles and percentage to the total number of profiles found for possible duplicates

    Duplicate found

    The number and percentage of profiles considered as possible duplicates

    No duplicate

    The number of profiles and percentage marked as being not a duplicate profile

    Remaining

    The number of remaining profiles

    Point calculation actions

    The search action taken according to the profile match set point set up

    Search for not processed profiles

    Press this button to search for not processed profiles

    Search for profiles with no duplicates

    Press this button to activate search for profiles marked as not duplicate

    Search for all

    Press this button to search for all profiles within the Profile filter

    Clear where no duplicate found

    Press this button to clear the duplicate information. When searching for potential duplicate profiles all profiles get marked as being a duplicate or being no duplicate profile. Using this button will clear the information. Please note that once this information is cleared, it is not possible to identify the profile as processed

    Clear all

    Press this button to clear all filters

    Clear below limit

    Press this button to clear all profiles from the filter as being below limit

    Limit

    Enter a limit for the profiles to be cleared from the filter when pressing ‘clear below limit’

    Match point setup

    Select this option to access the match point setup configuration. See: Setup → Configuration → Profile Match Point Setup for more details.

    Profile actions

    The profile merge action

    Merge over limit

    Product Interest: defines why the customer has selected the hotel, i.e. conference center, restaurant, close to airport, etc.

    Limit

    Defines the limit used for the merge process

    Refresh

    Press this button to refresh the screen for example when changing the profile filter

    Profile filter

    Displays the applied profile filter for the actions. Following choices are available:

    Selected- the selected profiles

    Filtered - all profiles to which the advance query applies

    Every profile- all profiles

  • View last merged profile - only available after a profile has been merged. Allows the last merged profile to be viewed in HTML format.

  • Pot Duplicate - select this option to view the sub grid with potential duplicate profiles.

  • This option is controlled by the parameter Enable duplicate search under Setup → Configuration → Global Settings → Profile 1 tab.

  • Duplicates functionality is controlled by the user right Profile duplicate search under Setup → Configuration → Users → User Definition → Rights → Customer Profiles.

Note: When using Suite8 Central functionality, this option has to be run before synchronising profiles with the master.


Remote Profile Search

From the customer profile search navigator, select Remote Src to activate remote profile search. The following dialog box will open:

Remote search can be automated with the flag Search remote on profiles grid. For each profile query, remote search is activated. Automated search can be deactivated on the customer profiles navigator by selecting the field Disable remote search. This is only available at partner hotels.


HTML Files

It is possible to check the type of guest when requesting remote html files.

Checks are performed on:

  • remoteprofile_ind.htm

  • remoteprofile_comp.htm

  • centralprofile_ind.htm

  • centralprofile_comp.htm

If one of the files exist the following suffixes for centralprofile.htm (.qry) and remoteprofile.htm (.qry) can be used:

'cmp', 'ta', 'src', 'ind', 'ven', 'mp' (each represents one customer internal category (Profile type) (xcca_internalcategory)

The suffixes can be separated with '_'

For Example:

remoteprofile_cmp.htm

remoteprofile_cmp.qry

centralprofile_ta.html

This functionality is also available for local html files. The naming convention such as 'usr_xy_companyprofile_ta.htm' can still be used. If a file with a certain suffix is not found, for example on companies, the search will be done on ' _cmp' suffix; if there is no result the search will be performed without prefix.


Fidelio Server - Activity Log

The following activities are recorded in the server activity log for Fidelio Server:

  • Suite8 Central Profile sync

  • CRS Configuration sync

  • CRS Item sync

The last 10 successful and unsuccessful entries are kept.

If CRS is installed in the property then Suite8 prompts a warning window after login if there is no successful log entry within the defined number of hours for each activity.

The CRS monitoring dialog also shows the status 'Warning' for properties that have no successful log entry within the defined number of hours.

Unsuccessful server procedures write their own log and after 10 unsuccessful iterations there will be no log entry for the last successful try.

This means that users get a notification about unsuccessful tries sooner than 1 hour, however, if Fidelio Server stops working, then they get a notification only after 1 hour.

  • The number of hours after which a warning message is displayed is defined via the option Fidelio server activity warning (hours) under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • The deactivation of the display of the warning message for users is controlled by the parameter Disable warning for users under Setup → Configuration → Global Settings → Generic → Generic 3 tab.


Pot. Duplicates

The Potential Duplicates screen is displayed in one of two ways:

  • By selecting the option Pot. Duplicates from the Duplicates menu on the profile navigator - this displays the Potential Duplicates grid which lists the possible duplicate profiles for the profile listed in the customer profile search result grid.

  • When saving a new profile, the duplicate points are calculated and the Potential Duplicates screen is displayed if there are profiles which are considered possible duplicates.

How to display potential duplicates via the menu option

  1. Click the Customer Relations menu and select Profiles.

  2. Search for and select the required profile, then select Pot. Duplicates from the Duplicates menu of the profile navigator.

The Potential Duplicates dialog box is displayed.

  3. The options available to handle potential duplicates are listed on the right-hand side of the grid.

    Button

    Definition

    HTML compare

    Select this option to compare the Profiles in HTML view

    Edit Profile

    Select this option to edit the selected profile

    Visual merge

    Shows merge information of Details, Address, Communication, Notes and Linked profiles and opens the duplicate merge dialog box.

    Merge all

    To merge all profiles.

    Merge selected

    To merge all selected profiles.

    Family link

    Select a profile and press this button to assign a role and mark the potential duplicate profile as a family member. This will exclude the profile from further duplication search.

    This option is not available for company profiles.

    Not a duplicate

    Press this button to link/clear selected profiles, the one on the regular customer profile grid and the one on the potential duplicate grid will be marked as being not a duplicate profile. The link table in the database is called xndl. The field No Duplicate in this table contains the number of linked pot duplicate profiles marked as 'not a duplicate' (this is the number of xndl records). The field can be added to the customer profiles grid by using Customize from the right mouse short cut menu in the customer profiles grid. Profile duplicate search will not find these records.

  4. Click Save to close the dialog box and save the assigned number.

Displaying potential duplicates via HTML Compare

  1. Search for and select the possible duplicate profile from the Potential Duplicates dialog box.

  2. Click HTML Compare.

The Remote profile compare screen is displayed

Merge Profile dialog box

Button | Definition
HTML compare | Press this button to compare the Profiles in HTML view
Data rule merge | Defines the merge rule used. Currently only Full merge should be used.
Merge rules | Displays the fields for the merge of the profile
Differences | Select this field to display differences of the profiles in red
Select other side | Select this field to select the same field on the other side
Reverse | Press this button to switch target and source profiles
Merge | Select this button to activate merge
Save | Press this button to save and close the screen settings
Cancel | Press this button to cancel merge
Copy to right | Select a row on the left and press this button to copy the selected information to the right
Copy to left | Select a row on the right and press this button to copy the single row to the left
Copy all to right | Press this button to copy all information to the right side
Copy all to left | Press this button to copy all information to the left side

Note: Two profiles can not be merged if they both have an account in Accounts Receivable.

  • The duplicate check when creating or editing a profile is controlled by the parameters Enable duplicate search and Duplication check after profile edit under Setup → Configuration → Global Settings → Profile 1 tab.

  • Duplicates functionality is controlled by the user right Profile duplicate search under Setup → Configuration → Users → User Definition → Rights → Customer Profiles.